%define upstream_name    Math-Complex
%define upstream_version 1.56

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Complex numbers and associated mathematical functions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
'Math::Trig' defines many trigonometric functions not defined by the core
Perl which defines only the 'sin()' and 'cos()'. The constant *pi* is also
defined as are a few convenience functions for angle conversions, and
_great circle formulas_ for spherical movement.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc ChangeLog META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jan 22 2011 jquelin <jquelin> 1.560.0-1.mga1
+ Revision: 32185
- mageia rebuild
- imported package perl-Math-Complex

